import session from 'express-session';
import { SqliteStoreParams } from './SqliteStoreBase';
interface ISqliteStore {
    new (config: SqliteStoreParams): any;
    get: (sid: string, callback: (err: any, session?: session.SessionData | null) => void) => void;
    set: (sid: string, session: session.SessionData, callback?: (err?: any) => void) => void;
    destroy: (sid: string, callback?: (err?: any) => void) => void;
    all: (callback: (err: any, obj?: {
        [sid: string]: session.SessionData;
    } | null) => void) => void;
    length: (callback: (err: any, length?: number | null) => void) => void;
    clear: (callback?: (err?: any) => void) => void;
    touch: (sid: string, session: session.SessionData, callback?: (err?: any) => void) => void;
}
export default function sqliteStoreFactory(session: any): ISqliteStore;
export {};
